Subject: Re: Adding Git to Better SCM Initiative : Comparison

From: Jan Hudec <[email-masked]>
Date: Thu, 29 Nov 2007 08:17:05 +0100

On Thu, Nov 29, 2007 at 02:48:22 +0100, Robin Rosenberg wrote:
> I did start doing this so here's my version (pre-msysgit). Please try to bring up the defintion
> of "atomic" again with the author. I did complain a little but nothing happened. The issue is
> that Clearcase is listed as having "atomic" commits which is not true for any usable definition
> of atomic in SCM context. With the definition in use there I think CVS should be considered
> having atomic commits too, at least I've never seen a half-committed file there.

Actually, I did. Or rather, I did see a commit, that didn't make it to the
server, but the client thought it did!

Maybe instead of asking the author to change the definition of atomic, ask
him to add an item for whole-tree commits. That more precisely describes what
is the point.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>